// walkSatus:0 走路 1跑步; 
function getStatus(){
	var walkSatus=appcan.locStorage.val("walkSatus"); 
	if(!walkSatus){ 
		return "0";	//默认走路
	}
	return walkSatus; 	
}
 
var localData={ 
	cmpId:'',//当前代言企业
	cmpTitle:'',
	cmpLogo:'',
	cmpRate:1,
	//is_start:0,//0为停止，1为运动中
	money_left:0,//会员未提交爱心能量
	start_time:0,
	step_left:0,//今日总步数
	run_step:0,//今日跑步数
	walk_step:0,//今日走路数
	km_left:0,//今日公里数
	cal_left:0,//今日..
	co2_left:0,//今日..
	min_left:0//不用了，因为有start_time
}; 
function getLocalData(t){  
	var data=appcan.locStorage.val("localData");  
	if(!data){  
		return localData;	
	}  
	var json= eval("("+data+")");
	if(!json.money_left){
		json.money_left=0;	
	}  
	if(!json.cmpRate){
		json.cmpRate=1;	
	} 
	if(!json.cmpId){
		json.cmpId="";	
	}
	return json; 
} 

//停止
function clearLocalData(){
	var data= getLocalData();
	data.is_start=0;
	data.start_time=0;
	data.step_left=0;
	data.run_step=0;
	data.walk_step=0;
	data.km_left=parseFloat(0).toFixed(2);
	data.cal_left=parseFloat(0).toFixed(1);
	data.co2_left=parseFloat(0).toFixed(1); 
	updateLocalData(data);
}
function updateLocalData(data){  
	appcan.locStorage.setVal("localData",data);
}
 
var iscan=true;//是否提交数据，当数据提交中，此值为false.将不能再提交
var test_total=0;//test
var test_submits=0; //test
//震动调用
function setLocalData(info){//获取步数 一共4个返回  格式 3|3|8|8  第1个今日走路，第二个未提交走路，第三个今日跑步，第四个未提交跑步   
	try{
		//alert("记步回调："+info);
		var data=getLocalData();
		var cmpId =data.cmpId; 
		cmpId=cmpId?cmpId:'';  
		if(cmpId==''){//还没选择代言企业 
			return;
		}  
		var steps  =info.split("|");  
		if(steps[0]=="0"){
			steps[0]=1;	
		}  
		var step_left=1*steps[0]+1*steps[2];//今日走路+今日跑步数=当日步数
		
		data.step_left=step_left;
		data.km_left=parseFloat(step_left/1600).toFixed(2);
		data.cal_left=parseFloat(step_left/20).toFixed(1);
		data.co2_left=parseFloat(step_left*0.075).toFixed(1); 
		data.walk_step =1*steps[0];  
		data.run_step =1*steps[2];	 
		 
		var noSubmitStep=1*steps[1]+1*steps[3];  //未提交步数
		
		test_total =step_left;///test
		test_submits= noSubmitStep;//test
		
		//大于1公里后自动提交,或者不是今天的日期也提交 
		//alert("去："+(step_left%1600));  
		updateLocalData(data) 
		if((noSubmitStep>=1600)&&iscan){//剩余步数大于等于1600，并且可以提交数据
			iscan=false; 
			toSubmitData(data,1*steps[1],1*steps[3]);
		} 
	}catch(e){
		uexBackrun.open() 
		alert("异常3："+e);	
	}
}
 
function getMoney(step,data){
	var rate=data.cmpRate;//获取兑换率 
	rate=(rate&&rate!="NaN")?rate:1; 
	rate=1*rate.toFixed(2); 
	data.cmpRate=rate;  
	var get=(parseInt(step/1600));
	var money=parseFloat(get/rate);//计算这公里可获取多少爱心
	//alert("本次计算 未提交步数："+step+" 获取金额："+money.toFixed(2)); 
	return money.toFixed(2);
} 

function toSubmitData(data,noSubmitWalkStep,noSubmitRunStep){ 
	var totalNoSubmitStep=noSubmitWalkStep+noSubmitRunStep;//获取总的未提交步数
	var member =getMember(); 
	var url=ServerURL+"/app/walk/submit/"+member.id+".html?noSubmitWalkStep="+noSubmitWalkStep+"&noSubmitRunStep="+noSubmitRunStep;  
	var totalKm=1*data.km_left;  
	appcan.request.ajax({ 
		type: 'POST',
		url:url , 
		data:data, 
		dataType: 'json',
		timeout: 10000,//超时时间
		success: function(result){   
			if(result.success){   
				data.money_left=0;//设置未提交金额为0 
				setMember(result.data);//设置会员已提交后的数据含提交后的 
				updateLocalData(data);
				var p= appcan.locStorage.val("Phone");
				p=p==null?"":p;
				try{
					if(p!="IOS"){ 
						uexBackrun.setunstep(totalNoSubmitStep%1600);//android按这个传
					}else{
						appcan.locStorage.setVal("NoSubmitStepYS",totalNoSubmitStep%1600);//保存未提交步数余数
						setSubmitTime();//设置提交时间
					}
				}catch(e){
					uexBackrun.open() 
					alert("异常toSubmitData："+e);	
				}
			}else{   
				//app_alert(result.data);
			}
			//设置提交成功后1分钟再将iscan设置为true,防止并发调用
			setTimeout(1000*60,function(){
				iscan=true;//提交成功后设置开关可以进行下次提交 
			}); 
		},
		error: function(xhr, type){ 
			data.money_left=getMoney(totalNoSubmitStep,data);
			updateLocalData(A);
			iscan=true;//提交失败后可以继续提交 			
		}
	})
	
}
//test 没用了
function submitUnStep(unstep){
	var member =getMember();
	appcan.request.ajax({ 
		type: 'POST',
		url:ServerURL+"/app/walk/test/"+member.id+".html" , 
		data:{memberid:member.id,total:test_total,submits:test_submits,unstep:unstep}, 
		dataType: 'json',
		timeout: 10000,//超时时间
		success: function(result){   
		},
		error: function(xhr, type){  
		}
	})
}
//设置当前提交时间
function setSubmitTime(){
	var now=(new Date()).Format("yyyy-MM-dd hh:mm:ss"); 
	appcan.locStorage.setVal("submitTime",now);
}
function getSubmitTime(){
	var tm= appcan.locStorage.val("submitTime"); 
	tm=tm==null?"":tm; 
	return tm;	
}
//ios获取总实时总步数
function setLocalData_ios(totalstep){
	//alert("获取到总步数："+totalstep);
	var data=getLocalData();
	var cmpId =data.cmpId; 
	cmpId=cmpId?cmpId:'';  
	if(cmpId==''){//还没选择代言企业 
		return;
	}   
	var step_left=1*totalstep;//今日走路+今日跑步数=当日步数
	
	data.step_left=step_left;
	data.km_left=parseFloat(step_left/1600).toFixed(2);
	data.cal_left=parseFloat(step_left/20).toFixed(1);
	data.co2_left=parseFloat(step_left*0.075).toFixed(1); 
	
	data.walk_step =0;  
	data.run_step =0;	 
	updateLocalData(data) ;
	test_total =step_left;///test	 
}
//ios获取未提交步数
function getUnStep_ios(noSubmitStep){
	//alert("获取到未提交步数："+totalstep);
	var data=getLocalData();
	var cmpId =data.cmpId; 
	cmpId=cmpId?cmpId:'';  
	if(cmpId==''){//还没选择代言企业 
		return;
	}  
	var ys =appcan.locStorage.val("NoSubmitStepYS");//获取上次提交后的余数
	if(ys){ys=0;}
	noSubmitStep=1*noSubmitStep+1*ys;
	test_submits= noSubmitStep;//test 
	if((noSubmitStep>=1600)&&iscan){//剩余步数大于等于1600，并且可以提交数据
		iscan=false; 
		var noSubmitWalkStep=0;
		var noSubmitRunStep=0;
		if(getStatus()=="0"){
			noSubmitWalkStep=noSubmitStep;	
		}else{
			noSubmitRunStep=noSubmitStep;	
		}
		toSubmitData(data,noSubmitWalkStep,noSubmitRunStep);
	} 	
} 